ListSurfaceFeedback
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.A2UI.ListSurfaceFeedback(ctx, operations.C1APIA2uiV1A2UIServiceListSurfaceFeedbackRequest{
SurfaceID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.A2UIServiceListSurfaceFeedbackResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.a2Ui.listSurfaceFeedback({
surfaceId: "<id>",
});
console.log(result);
}
run();curl --request GET \
--url https://{tenantDomain}.conductor.one/api/v1/a2ui/surfaces/{surface_id}/feedback \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/a2ui/surfaces/{surface_id}/feedback"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}.conductor.one/api/v1/a2ui/surfaces/{surface_id}/feedback', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"feedback": [
{
"actionName": "<string>",
"componentsSnapshot": "<string>",
"conversationId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"dataModelSnapshot": "<string>",
"id": "<string>",
"schemaVersion": "<string>",
"surfaceId": "<string>",
"text": "<string>"
}
]
}A 2 UI
List Surface Feedback
ListSurfaceFeedback lists feedback for a surface.
GET
/
api
/
v1
/
a2ui
/
surfaces
/
{surface_id}
/
feedback
ListSurfaceFeedback
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.A2UI.ListSurfaceFeedback(ctx, operations.C1APIA2uiV1A2UIServiceListSurfaceFeedbackRequest{
SurfaceID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.A2UIServiceListSurfaceFeedbackResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.a2Ui.listSurfaceFeedback({
surfaceId: "<id>",
});
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The surfaceId field.
Response
200 - application/json
A2UIServiceListSurfaceFeedbackResponse returns feedback for a surface.
A2UIServiceListSurfaceFeedbackResponse returns feedback for a surface.
The feedback field.
Show child attributes
Show child attributes
Was this page helpful?
⌘I